View Issue Details

IDProjectCategoryView StatusLast Update
0026138LazarusLCLpublic2014-05-31 20:41
ReporterVbxlerAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformWindowsOSWin7 OS Version32/64
Product VersionProduct Build 
Target Version1.4Fixed in Version1.3 (SVN) 
Summary0026138: stringgrid crash
DescriptionWe are using a stringgrid with the settings:

StringGrid1.Options := StringGrid1.Options + [goColSizing];
StringGrid1.AllowOutboundEvents := false;

If we try to change the width of the last (most right) column, the program crashes.
Additional InformationThe problem occurs in file grids.pas line 2511 ->
function TCustomGrid.StartColSizing(const X, Y: Integer):boolean;

    OrgIndex := FGCache.ClickCell.X;
    Index := OrgIndex; <-- crash at this position

    OrgIndex := FGCache.ClickCell.X;
    if OrgIndex < 0 then exit; <-- we add this line and it works
    Index := OrgIndex;


  
TagsNo tags attached.
Fixed in Revision45017
LazTarget1.4
Widgetset
Attached Files

Relationships

related to 0026244 resolvedJesus Reyes Stringgrid crash II 

Activities

Vbxler

2014-05-09 18:50

reporter  

pic.zip (59,293 bytes)

Jesus Reyes

2014-05-12 09:32

developer   ~0074936

Thanks, I modified the patch so it continues resizing the last column as long as the mouse cursor is within allowed region (even if the click was flagged as invalid due AllowOutboundEvents=false), this should avoid a not nice effect that occurs when the resizing starts out of bounds but cursor shape indicates that the column is resizable

Issue History

Date Modified Username Field Change
2014-05-09 18:50 Vbxler New Issue
2014-05-09 18:50 Vbxler File Added: pic.zip
2014-05-09 18:56 Jesus Reyes Project FPC => Lazarus
2014-05-09 18:56 Jesus Reyes Assigned To => Jesus Reyes
2014-05-09 18:56 Jesus Reyes Status new => assigned
2014-05-12 09:32 Jesus Reyes Fixed in Revision => 45017
2014-05-12 09:32 Jesus Reyes LazTarget => 1.4
2014-05-12 09:32 Jesus Reyes Note Added: 0074936
2014-05-12 09:32 Jesus Reyes Status assigned => resolved
2014-05-12 09:32 Jesus Reyes Fixed in Version => 1.3 (SVN)
2014-05-12 09:32 Jesus Reyes Resolution open => fixed
2014-05-12 09:32 Jesus Reyes Target Version => 1.4
2014-05-31 20:41 Jesus Reyes Relationship added related to 0026244